%define tarball xf86-video-i128
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 i128 video driver
Name:      xorg-x11-drv-i128
Version:   1.2.0
Release:   5%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   i128.xinf

Patch0:	    i128-1.2.0-1600sw-range-hack.patch

ExcludeArch: s390 s390x

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.0.99.901

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 i128 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%patch0 -p1 -b .1600sw-hack

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/i128_drv.so
%{_datadir}/hwdata/videoaliases/i128.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/i128.4*

%changelog
* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.2.0-5
- ExclusiveArch -> ExcludeArch

* Mon Aug 28 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-4
- i128-1.2.0-1600sw-range-hack.patch: Also fill in maxPixClock and synthesize
  the appropriate modes when we don't get DDC.

* Wed Aug  2 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-3
- i128-1.2.0-1600sw-range-hack.patch: Attempt to force the sync ranges
  correctly when we detect a 1600SW panel but don't get EDID info from it.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.2.0-2.1
- rebuild

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-1
- Update to 1.2.0 from 7.1RC1.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.1.0.5-1
- Updated xorg-x11-drv-i128 to version 1.1.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.4-1
- Updated xorg-x11-drv-i128 to version 1.1.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.2-1
- Updated xorg-x11-drv-i128 to version 1.1.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.1-1
- Updated xorg-x11-drv-i128 to version 1.1.0.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to i386

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for i128 video driver generated automatically
  by my xorg-driverspecgen script.
